Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class ReservedInstancesOffering

    java.lang.Object
      com.amazonaws.services.ec2.model.ReservedInstancesOffering

    public class ReservedInstancesOffering

extends Object

An active offer for Amazon EC2 Reserved Instances.

Constructor Summary
`ReservedInstancesOffering()`

Method Summary
`String` | `getAvailabilityZone()` The Availability Zone in which the Reserved Instances can be used.
`Long` | `getDuration()` The duration of the Reserved Instance, in seconds.
`Float` | `getFixedPrice()` The purchase price of the Reserved Instance.
`String` | `getInstanceType()` The instance type on which the Reserved Instances can be used.
`String` | `getProductDescription()` The Reserved Instances description (ex: Windows or Unix/Linux).
`String` | `getReservedInstancesOfferingId()` The unique ID of this Reserved Instances offering.
`Float` | `getUsagePrice()` The usage price of the Reserved Instance, per hour.
`void` | `setAvailabilityZone(String availabilityZone)` The Availability Zone in which the Reserved Instances can be used.
`void` | `setDuration(Long duration)` The duration of the Reserved Instance, in seconds.
`void` | `setFixedPrice(Float fixedPrice)` The purchase price of the Reserved Instance.
`void` | `setInstanceType(String instanceType)` The instance type on which the Reserved Instances can be used.
`void` | `setProductDescription(String productDescription)` The Reserved Instances description (ex: Windows or Unix/Linux).
`void` | `setReservedInstancesOfferingId(String reservedInstancesOfferingId)` The unique ID of this Reserved Instances offering.
`void` | `setUsagePrice(Float usagePrice)` The usage price of the Reserved Instance, per hour.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ReservedInstancesOffering` | `withAvailabilityZone(String availabilityZone)` The Availability Zone in which the Reserved Instances can be used.
`ReservedInstancesOffering` | `withDuration(Long duration)` The duration of the Reserved Instance, in seconds.
`ReservedInstancesOffering` | `withFixedPrice(Float fixedPrice)` The purchase price of the Reserved Instance.
`ReservedInstancesOffering` | `withInstanceType(String instanceType)` The instance type on which the Reserved Instances can be used.
`ReservedInstancesOffering` | `withProductDescription(String productDescription)` The Reserved Instances description (ex: Windows or Unix/Linux).
`ReservedInstancesOffering` | `withReservedInstancesOfferingId(String reservedInstancesOfferingId)` The unique ID of this Reserved Instances offering.
`ReservedInstancesOffering` | `withUsagePrice(Float usagePrice)` The usage price of the Reserved Instance, per hour.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReservedInstancesOffering

    public ReservedInstancesOffering()

Method Detail

### getReservedInstancesOfferingId

    public String getReservedInstancesOfferingId()

  The unique ID of this Reserved Instances offering.

  Returns:
    The unique ID of this Reserved Instances offering.

### setReservedInstancesOfferingId

    public void setReservedInstancesOfferingId(String reservedInstancesOfferingId)

  The unique ID of this Reserved Instances offering.

  Parameters:
    `reservedInstancesOfferingId` - The unique ID of this Reserved Instances offering.

### withReservedInstancesOfferingId

    public ReservedInstancesOffering withReservedInstancesOfferingId(String reservedInstancesOfferingId)

  The unique ID of this Reserved Instances offering.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `reservedInstancesOfferingId` - The unique ID of this Reserved Instances offering.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceType

    public String getInstanceType()

  The instance type on which the Reserved Instances can be used.

  Constraints:
  Allowed Values: m1.small, m1.large, m1.xlarge, m2.xlarge, m2.2xlarge, m2.4xlarge, c1.medium, c1.xlarge, cc1.4xlarge

  Returns:
    The instance type on which the Reserved Instances can be used.
  See Also:
    `InstanceType`

### setInstanceType

    public void setInstanceType(String instanceType)

  The instance type on which the Reserved Instances can be used.

  Constraints:
  Allowed Values: m1.small, m1.large, m1.xlarge, m2.xlarge, m2.2xlarge, m2.4xlarge, c1.medium, c1.xlarge, cc1.4xlarge

  Parameters:
    `instanceType` - The instance type on which the Reserved Instances can be used.
  See Also:
    `InstanceType`

### withInstanceType

    public ReservedInstancesOffering withInstanceType(String instanceType)

  The instance type on which the Reserved Instances can be used.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: m1.small, m1.large, m1.xlarge, m2.xlarge, m2.2xlarge, m2.4xlarge, c1.medium, c1.xlarge, cc1.4xlarge

  Parameters:
    `instanceType` - The instance type on which the Reserved Instances can be used.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `InstanceType`

### getAvailabilityZone

    public String getAvailabilityZone()

  The Availability Zone in which the Reserved Instances can be used.

  Returns:
    The Availability Zone in which the Reserved Instances can be used.

### setAvailabilityZone

    public void setAvailabilityZone(String availabilityZone)

  The Availability Zone in which the Reserved Instances can be used.

  Parameters:
    `availabilityZone` - The Availability Zone in which the Reserved Instances can be used.

### withAvailabilityZone

    public ReservedInstancesOffering withAvailabilityZone(String availabilityZone)

  The Availability Zone in which the Reserved Instances can be used.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZone` - The Availability Zone in which the Reserved Instances can be used.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDuration

    public Long getDuration()

  The duration of the Reserved Instance, in seconds.

  Returns:
    The duration of the Reserved Instance, in seconds.

### setDuration

    public void setDuration(Long duration)

  The duration of the Reserved Instance, in seconds.

  Parameters:
    `duration` - The duration of the Reserved Instance, in seconds.

### withDuration

    public ReservedInstancesOffering withDuration(Long duration)

  The duration of the Reserved Instance, in seconds.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `duration` - The duration of the Reserved Instance, in seconds.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getUsagePrice

    public Float getUsagePrice()

  The usage price of the Reserved Instance, per hour.

  Returns:
    The usage price of the Reserved Instance, per hour.

### setUsagePrice

    public void setUsagePrice(Float usagePrice)

  The usage price of the Reserved Instance, per hour.

  Parameters:
    `usagePrice` - The usage price of the Reserved Instance, per hour.

### withUsagePrice

    public ReservedInstancesOffering withUsagePrice(Float usagePrice)

  The usage price of the Reserved Instance, per hour.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `usagePrice` - The usage price of the Reserved Instance, per hour.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getFixedPrice

    public Float getFixedPrice()

  The purchase price of the Reserved Instance.

  Returns:
    The purchase price of the Reserved Instance.

### setFixedPrice

    public void setFixedPrice(Float fixedPrice)

  The purchase price of the Reserved Instance.

  Parameters:
    `fixedPrice` - The purchase price of the Reserved Instance.

### withFixedPrice

    public ReservedInstancesOffering withFixedPrice(Float fixedPrice)

  The purchase price of the Reserved Instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `fixedPrice` - The purchase price of the Reserved Instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getProductDescription

    public String getProductDescription()

  The Reserved Instances description (ex: Windows or Unix/Linux).

  Returns:
    The Reserved Instances description (ex: Windows or Unix/Linux).

### setProductDescription

    public void setProductDescription(String productDescription)

  The Reserved Instances description (ex: Windows or Unix/Linux).

  Parameters:
    `productDescription` - The Reserved Instances description (ex: Windows or Unix/Linux).

### withProductDescription

    public ReservedInstancesOffering withProductDescription(String productDescription)

  The Reserved Instances description (ex: Windows or Unix/Linux).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `productDescription` - The Reserved Instances description (ex: Windows or Unix/Linux).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.